Bug 1266689 - xfce-polkit-v0.2 is available (conflicts with xfce4-session)
Summary: xfce-polkit-v0.2 is available (conflicts with xfce4-session)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-session
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-26 14:56 UTC by Upstream Release Monitoring
Modified: 2015-11-12 15:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-08 17:34:46 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1281464 0 high CLOSED xfce-polkit doesn't show name in xfce4-session 2021-02-22 00:41:40 UTC

Internal Links: 1281464

Description Upstream Release Monitoring 2015-09-26 14:56:14 UTC
Latest upstream release: v0.2
Current version/release in rawhide: 0-0.2.20150924git05568a1.fc24
URL: https://github.com/ncopa/xfce-polkit

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-09-26 14:56:21 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-jS71RI/xfce-polkit.spec
return code:  22
stdout:
Getting https://github.com/ncopa/xfce-polkit/archive/vv0.2.tar.gz#/xfce-polkit-v0.2.tar.gz to ./xfce-polkit-v0.2.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   124    0   124    0     0    235      0 --:--:-- --:--:-- --:--:--   236

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 2 Raphael Groner 2015-09-26 15:02:16 UTC
The version 0.2 ships with a desktop file for easy autostart. As stated on the mailing list:
To ease autostart, I would like to provide a desktop file for it in the package itself. But xfce4-session prevents this desktop file currently with its own conflicting configuration for polkit-gnome, this seems somehow like a hack or at least a work-around only, a desktop file from dedicated polkit package (respectively xfce-polkit then) is IMHO the better solution. 

CC maintainer of xfce4-session. Discussion should continue here.

Comment 3 Kevin Fenzi 2015-09-27 19:03:20 UTC
Well, as soon as we decide xfce-polkit is stable/ready we can drop the gnome-polkit desktop/start in xfce4-session and just use it's desktop file.

Comment 4 Raphael Groner 2015-11-05 23:53:17 UTC
Kevin, I would like to reassign to you till there's an official decision what to do with the desktop file shipped by xfce4-session. Please reassign back to me when your package is ready to not conflict any more with a newer xfce-polkit.
Is that okay for you?

Comment 5 Kevin Fenzi 2015-11-08 17:34:46 UTC
ok. I have switched xfce4-session to use / require xfce-polkit. 

If we run into any massive problems we can switch back, but hopefully we won't have to.

Comment 6 Raphael Groner 2015-11-08 18:41:34 UTC
Awesome! Thanks.


Note You need to log in before you can comment on or make changes to this bug.